import { request } from '../../boot/axios';
// import { Pagination } from '../class';
const pathName = 'storage-partition/';

class StorageApi {
  getStorageList = (val: any) => {
    return request.post(`${pathName}list`, val);
  };

  ///
  // 根据工厂ID 获取库存地点集合方法
  // @val1 = 工厂ID
  // @val2 = 搜索参数
  ///
  getStorageListByWhere = (val1: string, val2: string) => {
    return request.post(`${pathName}list`, {
      warehouseId: val1,
      storageName: val2
    });
  };
}
const storageApi = new StorageApi();
export { storageApi };
